﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.Win.C1Ribbon;
using C1.Win.C1Preview;

namespace WindowsFormsApplication1
{
    public partial class PreviewForm : C1RibbonForm
    {
        public PreviewForm()
        {
            InitializeComponent();
        }

        private void PreviewForm_Load(object sender, EventArgs e)
        {
            // Set the tools to be used.
            this.c1PrintPreviewControl1.AvailablePreviewActions = C1PreviewActionFlags.All;
            // Set visibility navigation panel.
            this.c1PrintPreviewControl1.NavigationPanelVisible = false;
            
            string fileName = @"..\..\WinReports\Reports.xml";
            string reportName = "Sales";
            this.c1Report1.Load(fileName, reportName);

            //string recordSource = "SELECT Sales.Date AS SalesDate, CategoryMaster.CategoryName, Sales.Proceeds, Sales.Payments, Sales.GrossMargin, Sales.GrossMarginRate";
            //recordSource += " FROM Sales INNER JOIN CategoryMaster";
            //recordSource += " ON Sales.CategoryCode = CategoryMaster.CategoryCode";
            //recordSource += " ORDER BY Sales.Date, CategoryMaster.CategoryCode;";

            //this.c1Report1.DataSource.RecordSource = recordSource;

            //this.c1Report1.DataSource.ConnectionString

            // Display document preview.
            this.c1PrintPreviewControl1.Document = this.c1Report1.Document;

        }
    }
}
